-- Daily Global Check
-- by Jadya
-- EU-Well of Eternity

--[[ v1.2 pages functions ]]--

local addonTitle, addonTable = ...
local L = addonTable.L

local pages = DailyGlobalCheck.PagesFunctions
pages.PageSelector = {}

local function extract_data(list)
 if not list then list = DailyGlobalCheck:GetActiveList() end 
 return list["Title"], list["Order"]
end

-- default page value for any list
local function default(t)
 DailyGlobalCheck_PluginData[t] = {}
 DailyGlobalCheck_PluginData[t].page = 1
 return 1
end

function pages:Max(list)
 local _, order = extract_data(list)
 return table.getn(order)
end

function pages:Curr(list)
 local title = extract_data(list)
 local svar = DailyGlobalCheck_PluginData[title]

 if not svar or not svar.page then
  return default(title)
 else
  return svar.page
 end
end

function pages:Move(list, i)
 local title, order = extract_data(list)
 local svar = DailyGlobalCheck_PluginData[title]

 if not svar or not svar.page then
  return default(title)
 else
  svar.page = svar.page + i
  
  local count = table.getn(order)
  local result = svar.page
  svar.page = math.max(1,math.min(count, svar.page))

  return result == svar.page
 end
end

function pages:GetString(list)
 return string.format(COLLECTION_PAGE_NUMBER,pages:Curr(list),pages:Max(list))
end